<nz-layout>
  <nz-content class="no-margin">
    <div class="">
      <app-img-header></app-img-header>
    </div>
  </nz-content>
  <nz-layout>
    <nz-content>
      <div class="inner-content">
        <nz-input-group [nzSuffix]="suffixIconSearch">
          <input nzSize="large" type="text" nz-input placeholder="Rechercher un sujet ( Taper un/des mot(s) clé(s) )" />
        </nz-input-group>
        <ng-template #suffixIconSearch>
          <i nz-icon nzType="search"></i>
        </ng-template><br><br>

        <nz-row nzType="flex" nzJustify="end">
          <button [routerLink]="[ '/add-question' ]" nz-button nzType="primary"><i nz-icon nzType="file-add"></i>Ajouter
            une question</button>
        </nz-row><br>

        <div nz-row>
          <div nz-col [nzSpan]="10" class="center-mobile">
            <form nz-form [nzLayout]="'horizontal'">
              <nz-form-label class="only-mobile center-mobile" [nzSpan]="4">Technologie </nz-form-label>
              <nz-form-control [nzSpan]="16">
                <nz-select nzAllowClear nzPlaceHolder="Choix techno">

                  <nz-option-group nzLabel="JavaScript">
                    <nz-option nzValue="Angular" nzLabel="Angular"></nz-option>
                    <nz-option nzValue="VueJS" nzLabel="VueJS"></nz-option>
                    <nz-option nzValue="React" nzLabel="React"></nz-option>
                    <nz-option nzValue="Js" nzLabel="Js"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="PHP">
                    <nz-option nzValue="php7" nzLabel="Php 7"></nz-option>
                    <nz-option nzValue="Symfony" nzLabel="Symfony"></nz-option>
                    <nz-option nzValue="Laravel" nzLabel="Laravel"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="CMS">
                    <nz-option nzValue="Prestashop" nzLabel="Prestashop"></nz-option>
                    <nz-option nzValue="Joomla" nzLabel="Joomla"></nz-option>
                    <nz-option nzValue="Wordpress" nzLabel="Wordpress"></nz-option>
                    <nz-option nzValue="Drupal" nzLabel="Drupal"></nz-option>
                    <nz-option nzValue="Magento" nzLabel="Magento"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="Editeur">
                    <nz-option nzValue="Markdown" nzLabel="Markdown"></nz-option>
                    <nz-option nzValue="Asciidoc" nzLabel="AsciiDoc"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="CSS">
                    <nz-option nzValue="Css" nzLabel="CSS"></nz-option>
                    <nz-option nzValue="Sass" nzLabel="Sass"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="Application Mobile">
                    <nz-option nzValue="Ionic" nzLabel="Ionic"></nz-option>
                    <nz-option nzValue="Flutter" nzLabel="Flutter"></nz-option>
                    <nz-option nzValue="Reactnative" nzLabel="React Native"></nz-option>
                    <nz-option nzValue="Vuenative" nzLabel="Vue Native"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="SQL">
                    <nz-option nzValue="Mysql" nzLabel="MySQL"></nz-option>
                    <nz-option nzValue="Mongodb" nzLabel="MongoDB"></nz-option>
                    <nz-option nzValue="psql" nzLabel="PostgreSQL"></nz-option>
                    <nz-option nzValue="oracle" nzLabel="Oracle SQL"></nz-option>
                  </nz-option-group>
                  <nz-option-group nzLabel="Python">
                    <nz-option nzValue="py2" nzLabel="Python 2"></nz-option>
                    <nz-option nzValue="py3" nzLabel="Python 3"></nz-option>
                  </nz-option-group>
                </nz-select>
              </nz-form-control>
            </form>
          </div>
          <div class="hidden-mobile" nz-col nzXs="24" nzSm="14" nzSm="14" nzJustify="end">
            <nz-radio-group class="tri" [ngModel]="'new'">
              <label nz-radio-button nzValue="new">Les plus récents</label>
              <label nz-radio-button nzValue="rate">Plus de vote </label>
              <label nz-radio-button nzValue="noreply">Sans réponse</label>
              <label nz-radio-button nzValue="rep">Plus de réponse</label>
            </nz-radio-group>
          </div>
          <div class="only-mobile center-mobile">
            <nz-form-label class="center-mobile ptop1" [nzSpan]="4">Trier par </nz-form-label>
            <nz-form-control [nzSpan]="16">
              <nz-select nzAllowClear nzPlaceHolder="Tri">
                <nz-option nzValue="new" nzLabel="Les plus récents"></nz-option>
                <nz-option nzValue="rate" nzLabel="Plus de vote"></nz-option>
                <nz-option nzValue="noreply" nzLabel="Sans réponse"></nz-option>
                <nz-option nzValue="rep" nzLabel="Plus de réponse"></nz-option>
              </nz-select>
            </nz-form-control>
          </div>
        </div>
        <br>

        <nz-row class="center">
          <div class="center" nz-col [nzSpan]="12">
            <nz-row [nzGutter]="16">
              <nz-col [nzSpan]="12">
                <nz-statistic class="stats-forum" [nzValueStyle]="{ color: '#000000' }" [nzValue]="19491"
                  [nzTitle]="'Questions'"></nz-statistic>
              </nz-col>
              <nz-col [nzSpan]="12">
                <nz-statistic class="stats-forum" [nzValueStyle]="{ color: '#000000' }" [nzValue]="20192"
                  [nzTitle]="'Réponses'"></nz-statistic>
              </nz-col>
            </nz-row>
          </div>
        </nz-row>
        <br><br>

        <nz-table class="forum-table" #borderedTable [nzData]="dataSet">
          <tbody>
            <tr *ngFor="let data of borderedTable.data">
              <td class="first-td" >
                <nz-avatar nzText="RA" style="color:#f56a00; background-color:#fde3cf;"></nz-avatar>
              </td>
              <td class="second-td">
                  <p class="forum-titre"><a [routerLink]="[ '/forum-subject']">{{ data.titre }}</a></p>
                  <p class="content">{{ data.content }}</p>
                  <div nz-row>
                    <nz-col nzXs="20" nzSm="12" nzMd="12" >
                      <nz-tag [nzColor]="'#f50'">JavaScript</nz-tag>
                      <nz-tag [nzColor]="'#2db7f5'">Angular</nz-tag>
                      <nz-tag [nzColor]="'#87d068'">HTML</nz-tag>
                      <nz-tag [nzColor]="'#108ee9'">ERROR</nz-tag>
                    </nz-col>
                    <nz-col class="hidden-mobile" nzSm="6" nzMd="6">
                      &nbsp;| &nbsp; By RIGUEUR Alex | &nbsp;
                    </nz-col>
                    <nz-col nzXs="4" nzSm="6" nzMd="6">
                      <i class="comment" nz-icon nzType="message" nzTheme="outline"></i>
                      <nz-badge [nzCount]="4"
                        [nzStyle]="{ backgroundColor: '#fff', color: '#999', boxShadow: '0 0 0 1px #d9d9d9 inset' }">
                      </nz-badge>
                    </nz-col>
                </div>
              </td>
              <td class="third-td"><i class="date" nz-icon nzType="calendar" nzTheme="twotone"></i>&nbsp;25/02</td>
            </tr>
          </tbody>
        </nz-table>
      </div>
    </nz-content>
  </nz-layout>
</nz-layout>